# Аренда квартир для студентов
В проекте есть три ветки:
- main — в эту ветку загружается код после положительного тестирования и ревью.
- dev_stable — в эту ветку загружается стабильный код, который будет использоваться в продашкене.
- dev_unstable — основная ветка для разработчиков.

## Как начать работать?

- Устанавливаем [python](https://www.python.org/downloads/) версия 3.11.1 и [git](https://git-scm.com/) 
- [Настройте git](https://tproger.ru/curriculum/git-guide/). В основном нужно только ввести имя пользователя и почту, пароль запросит при клонировании 

Если не хотите заморачиваться с терминалом. Советую использовать [GitHub Desktop](https://desktop.github.com/)

#### Клонирование и настройка проекта через терминал

Команды написаны под windows. Вводить в командную строку. Проверяйте, что в терминале вы находитесь в правильной директории

- Клонируем репозиторий
```bash
git clone https://github.com/vvsu-rent-project/dev_rent.github
```
- В консоли переходим в папку проекта
- Далее переходим на ветку unstable 
```bash
git switch dev_unstable
```
- В консоли переходим в папку pairent_backend
- Создаем виртуальное окружение
```bash
python -m venv venv
```
- Активируем виртуальное окружение. Если работаете в VS Code, открывайте терминал в нем и используйте его. Активировать окружение нужно всегда, когда пишите код
```bash
venv\Scripts\activate.bat
```
- После активации, устанавливаем зависимости. В этом же терминале!
```bash
pip install -r requirements.txt
```
#### Клонирование и настройка проекта через GitHub Desktop

- Заходим в настройки

![Заходим в настройки](README_img/1_step.png)

- Входим в аккаунт

![Входим в аккаунт](README_img/2_step.png)

- Клонируем репозиторий

![Клонируем репозиторий](README_img/3_step.png)

![Клонируем репозиторий](README_img/4_step.png)